%define name			photo
%define version		0.8.1.2
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Qt Graphic Viewer
URL:			http://qt-apps.org/content/show.php/Photo?content=147453
Group:			Graphics
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 	%{_lib}qt4-devel
BuildRequires: 	%{_lib}exiv2-devel
Requires: 		%{_lib}qtcore4
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
A fast, simple, good looking, yet powerfull and highly configureable 
image viewer.

The fourth release of Photo!

This new release brings mainly two big improvements: zooming and a 
new menu.

>> Zooming: Pictures can now be zoomed in/out. There are several ways 
you can zoom:  Ctrl + Mouse Wheel up/down, shortcuts, and from the new 
menu.

>> The new menu: I didn't really like the menu button in the previous 
version (and I think nobody really did). That's why I replaced it now with a 
nicely animated menu. The menu appears when you move your mouse cursor 
to the top of the screen, slightly to the right. In the settings you can adjust 
the sensitivity of this area.

%prep
%setup -q

%build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr ..
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std -C build

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Photo
Comment=Photo QT Graphic Viewer
Exec=%{name}
Icon=photo.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Graphics;X-MandrakeLinux-Multimedia-Graphics;
EOF

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jul 06 2016 adrianomorselli <adrianomorselli> 0.8.1.2-1uplos2012
- rebuild

* Wed Nov 14 2012 Neal <nealbrks0 at gmail dot com> 0.8.1.2-1pclos2012
- process

* Sun Nov 11 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.8.1.2-1_archie_2012
- update

* Thu Nov 08 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.8.1-1_archie_2012
- update

* Thu Jul 26 2012 Neal <nealbrks0 at gmail dot com> 0.8-2pclos2012
- process

* Thu Jul 26 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.8-2_archie_2012
- Updated splash.png

* Sat Jul 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.8-1_archie_2012
- 0.8

* Tue Mar 27 2012 Neal <nealbrks0 at gmail.com> 0.7.1.1-1pclos2012
- process

* Tue Mar 27 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.7.1.1-1_archie_2012
- 0.7.1.1

* Sun Jan 22 2012 Neal <pnealbrks0 at gmail dot com> 0.5-1pclos2012
- process

* Mon Jan 16 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.5-1_archie_2011
- update
